import 'package:flutter/material.dart';
import 'package:rehana/dialogs/base.dart';
import 'package:rehana/locator.dart';
import 'package:rehana/services/dialog.dart';

class ActionsDialog extends BaseDialog {
  @override
  void show(BuildContext context, String completerId, {dynamic data}) {
    showDialog(
        barrierDismissible: false,
        context: context,
        builder: (context) => AlertDialog(
            title: new Text(data['title']),
            content: new Text(data['text']),
            actions: data['actions']
                .map<Widget>((action) => RaisedButton(
                    child: Text(action['text']),
                    onPressed: () {
                      if (action['onPressed'] != null) {
                        action['onPressed']();
                      }
                      ServiceManager<DialogService>().completeDialog(
                          context: context,
                          completerId: completerId,
                          result: null);
                    }))
                .toList()));
  }
}
