import 'package:flutter/material.dart';

class DropDownItem {
  const DropDownItem(this.name, this.icon);
  final String name;
  final Icon icon;
}

// Example for using DropDownItem
/*
DropDownItem selectedUser;

List<DropDownItem> users = <DropDownItem>[
  const DropDownItem(
      'Android',
      Icon(
        Icons.android,
        color: const Color(0xFF167F67),
      )),
  const DropDownItem(
      'Flutter',
      Icon(
        Icons.flag,
        color: const Color(0xFF167F67),
      )),
  const DropDownItem(
      'ReactNative',
      Icon(
        Icons.format_indent_decrease,
        color: const Color(0xFF167F67),
      )),
  const DropDownItem(
      'iOS',
      Icon(
        Icons.mobile_screen_share,
        color: const Color(0xFF167F67),
      )),
];

Widget getDropDown() {
  return DropdownButton<DropDownItem>(
    hint: Text("Select item"),
    value: selectedUser,
    onChanged: (DropDownItem value) {
      setState(() {
        selectedUser = value;
      });
    },
    items: users.map((DropDownItem user) {
      return DropdownMenuItem<DropDownItem>(
        value: user,
        child: Row(
          children: <Widget>[
            user.icon,
            SizedBox(
              width: 10,
            ),
            Text(
              user.name,
              style: TextStyle(color: Colors.black),
            ),
          ],
        ),
      );
    }).toList(),
  );
}
*/