import 'package:flutter/material.dart';

class NavigationService {
  final GlobalKey<NavigatorState> navigatorKey =
      new GlobalKey<NavigatorState>();

  Future<dynamic> navigateTo(String routeName,
      {bool replace = false, dynamic arguments}) {
    if (replace) {
      return navigatorKey.currentState
          .popAndPushNamed(routeName, arguments: arguments);
    } else {
      return navigatorKey.currentState
          .pushNamed(routeName, arguments: arguments);
    }
  }

  goBack({result}) {
    if (result != null) {
      navigatorKey.currentState.pop(result);
    } else {
      navigatorKey.currentState.pop();
    }
  }
}
