import 'package:flutter/material.dart';
import 'package:rehana/models/drawer_item.dart';

class DrawerItemCard extends StatelessWidget {
  const DrawerItemCard({Key key, this.item}) : super(key: key);

  final DrawerItem item;

  @override
  Widget build(BuildContext context) {
    final TextStyle textStyle = Theme.of(context).textTheme.headline4;
    return Card(
      color: Colors.white,
      child: Center(
        child: Column(
          mainAxisSize: MainAxisSize.min,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: <Widget>[
            Icon(item.icon, size: 128.0, color: textStyle.color),
            Text(item.title, style: textStyle),
          ],
        ),
      ),
    );
  }
}
