import 'package:flutter/material.dart';
import 'package:flutter/foundation.dart';
import 'package:rehana/models/label_value.dart';

class DropDownMenuWidget extends StatefulWidget {
  final ValueChanged<dynamic> onChanged;
  final dynamic value;
  final List<LabelValuePair> itemList;
  DropDownMenuWidget({Key key, this.value, this.itemList, this.onChanged})
      : super(key: key);

  @override
  DropDownMenuWidgetState createState() {
    return DropDownMenuWidgetState(
        this.value, this.itemList); // (this._DropDownMenuWidget);
  }
}

class DropDownMenuWidgetState extends State<DropDownMenuWidget> {
  dynamic _curValue;
  List<LabelValuePair> _items;

  DropDownMenuWidgetState(dynamic value, List<LabelValuePair> itemsList) {
    _curValue = value;
    _items = itemsList;
  }

  changeValue(value) {
    widget.onChanged(value);
    setState(() {
      _curValue = value;
    });
  }

  List<DropdownMenuItem<dynamic>> getDropDownMenuItems() {
    return _items
        .map<DropdownMenuItem<dynamic>>((item) => DropdownMenuItem<dynamic>(
            value: item.value, child: Text(item.label)))
        .toList();
  }

  @override
  Widget build(BuildContext context) {
    return DropdownButton(
        // icon: Icon(Icons.folder),
        value: _curValue,
        iconSize: 24,
        elevation: 8,
        underline: Container(height: 2, color: Colors.deepPurple),
        items: this.getDropDownMenuItems(),
        onChanged: changeValue);
  }
}
