import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class InputWidget extends StatelessWidget {
  final TextEditingController controller;
  final ValueChanged<String> valueChanged;
  final String labelText;
  final String hintText;
  final bool obscureText;
  final int maxLines;
  final TextInputType keyboardType;

  InputWidget(
      {Key key,
      this.labelText,
      this.hintText,
      this.keyboardType,
      this.obscureText,
      this.maxLines,
      this.controller,
      this.valueChanged})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsets.fromLTRB(4.0, 4.0, 4.0, 4.0),
      child: TextField(
        controller: controller,
        decoration: new InputDecoration(
            floatingLabelBehavior: FloatingLabelBehavior.auto,
            labelText: labelText,
            hintText: hintText,
            alignLabelWithHint: false),
        keyboardType: keyboardType,
        obscureText: obscureText != null ? obscureText : false,
        maxLines: maxLines,
        // inputFormatters: <TextInputFormatter>[
        //   WhitelistingTextInputFormatter.
        // ], // Only numbers can be entered
        onChanged: (input) {
          valueChanged(input);
          // setState(() {});
        },
      ),
    );
  }
}
