import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:rehana/locator.dart';
import 'package:rehana/services/search.dart';

class SearchWidget extends StatefulWidget {
  final TextEditingController controller;
  final ValueChanged<String> valueChanged;

  SearchWidget({Key key, this.controller, this.valueChanged}) : super(key: key);

  @override
  SearchWidgetState createState() {
    return SearchWidgetState(); // (this._KeyWidget);
  }
}

class SearchWidgetState extends State<SearchWidget> {
  // String _curValue = "";

  // SearchWidgetState() {
  //   if (widget.controller != null) {
  //     _curValue = widget.controller.text;
  //   }
  // }

  FocusNode searchFieldFocusNode;

  @override
  void initState() {
    super.initState();
    searchFieldFocusNode = FocusNode();
  }

  @override
  void dispose() {
    // Clean up the focus node when the Form is disposed.
    searchFieldFocusNode.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return TextField(
      focusNode: searchFieldFocusNode,
      controller: widget.controller,
      textInputAction: TextInputAction.search,
      autocorrect: false,
      decoration: InputDecoration(
        // labelText: "Search",
        hintText: "Search",
        prefixIcon: Icon(
          Icons.search,
          semanticLabel: 'Search site',
        ),
        suffixIcon: IconButton(
          icon: Icon(
            widget.controller.text.length > 0 ? Icons.clear : null,
            semanticLabel: 'Clear Search text',
          ),
          onPressed: () {
            widget.controller.text = "";
            setState(() {
              ServiceManager<SearchService>().update("");
              widget.valueChanged("");
              searchFieldFocusNode.requestFocus();
              // widget.controller?.text = value;
            });
          },
        ),
      ),
      keyboardType: TextInputType.text,
      obscureText: false,
      onChanged: (input) {
        setState(() {
          ServiceManager<SearchService>().update(input);
          widget.valueChanged(input);
          searchFieldFocusNode.requestFocus();
          // widget.controller?.text = value;
        });
      },
    );
  }
}
